// form/nc/report/production-time/production-time.js

function pageInit(ret) {
	callServerCallback(ret)
}

function callServerCallback() {
	rec.company = '' // dropdown selected
	rec.query_start_date = rec.start_date // in html, update button as red if out of date range
	rec.query_end_date = rec.end_date
	rec.query_warning = ''
	// drawChart() // will call setDropdown(state, data)
}

// eslint-disable-next-line no-unused-vars
function callServer() {
	let param = {
		/* return: {
			grid: [
				{
					name: 'order_row',
					tab: rec.order_row_tab
				}
			]
		} */
	}
	param.start_date = rec.start_date // dt.dateToString(rec.start_date),
	param.end_date = rec.end_date // dt.dateToString(rec.end_date)
	nc.callServer(
		state,
		'query',
		{
			name: 'form/nc/report/production-time/grid.json',
			parameter: param
		},
		callServerCallback
	)
}

pageInit()
